Bug Hunting Session
Bug 89423 - Small icon for deleting table is missing
Summary: Small icon for deleting table is missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: low normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.5.0 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-17 02:57 UTC by Mark Hung
Modified: 2015-03-15 11:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Deleting table icon (small) of Table toolbar is missing (6.79 KB, image/png)
2015-02-17 02:57 UTC, Mark Hung
Details
Big icon for deleting table in Table Toolbar exists. (13.56 KB, image/png)
2015-02-17 05:54 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2015-02-17 02:57:49 UTC
Created attachment 113440 [details]
Deleting table icon (small) of Table toolbar is missing
Comment 1 V Stuart Foote 2015-02-17 03:33:48 UTC
Sorry, there has never been such button action on a toolbar.

Back to the 3.3.0.4 release Tables have been deleted incrementally by row or column toolbar buttons. 

Or completely from the Table -> Delete -> Table menu button action -- which remains sane and consistent UI.

Resolving invalid.
Comment 2 Mark Hung 2015-02-17 05:54:32 UTC
Created attachment 113441 [details]
Big icon for deleting table in Table Toolbar exists.
Comment 3 Mark Hung 2015-02-17 06:13:34 UTC
Step1. Insert a table 
Step2. Tools -> Options -> Icon size and style, select "Small" 
Step3. Tools -> Options -> Icon size and style, select "Large"
  
In Step 2, Table Bar has a 'Delete Table' button without icon.
In Step 3, saw the icon instead. 

Verified with 4.4.0.3, in two UI language settings ( Traditional Chinese and English. )
Comment 4 Adolfo Jayme 2015-02-17 07:30:35 UTC
It’s not an invalid issue just because the icon is not exposed by default.
Comment 5 V Stuart Foote 2015-02-17 11:57:19 UTC
Oops, right you both are. Sorry

One Jay put in 2014-12-02 for 4.4
http://cgit.freedesktop.org/libreoffice/core/commit/?id=081306b10499c7ace83a6cf69fd31bcc3bfeeb02

@Jay, you missed the small icons.
Comment 6 Yousuf Philips (jay) (retired) 2015-02-17 13:27:08 UTC
Patch is in - https://gerrit.libreoffice.org/14520
Comment 7 Yousuf Philips (jay) (retired) 2015-02-17 13:43:57 UTC
Tried to cherry pick it for 4.4 and 4.4.1 but gerrit isnt letting me.
Comment 8 Commit Notification 2015-02-19 09:35:45 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ef31a41dd6b03a24c296dee0fa1b6a67173cc14&h=libreoffice-4-4

tdf#89423 add missing small delete table icons

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Adolfo Jayme 2015-02-19 09:51:06 UTC
Thanks!
Comment 10 Commit Notification 2015-02-19 20:51:52 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b806d64748c8bcfcb9e6c4af835b893a1aef9dab&h=libreoffice-4-4-1

tdf#89423 add missing small delete table icons

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Petr Hudeček 2015-03-15 11:23:18 UTC
The "delete table" icon now appears on the toolbar both with small icon size and large icon size. Tested on 4.5.0, Win 8.1.